Rietveld Code Review Tool
Help | Bug tracker | Discussion group | Source code | Sign in
(871)

Issue 7102053: code review 7102053: json: when decoding to a nil interface, make sure the d... (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
9 years, 11 months ago by vegacom
Modified:
9 years, 10 months ago
Reviewers:
adg, golang-dev
Visibility:
Public.

Description

json: when decoding to a nil interface, make sure the dest can be assigned to interface{} All tests pass. To add a test case for this issue, I'd like to know what to do if it can't be unmarshaled: 1. Ignore, and continue (current implementation) 2. return error Fixes issue 4222.

Patch Set 1 #

Patch Set 2 : diff -r c53ac9baac67 https://code.google.com/p/go #

Patch Set 3 : diff -r c53ac9baac67 https://code.google.com/p/go #

Unified diffs Side-by-side diffs Delta from patch set Stats (+3 lines, -1 line) Patch
M src/pkg/encoding/json/decode.go View 1 1 chunk +3 lines, -1 line 0 comments Download

Messages

Total messages: 4
vegacom
Hello golang-dev@googlegroups.com, I'd like you to review this change to https://code.google.com/p/go
9 years, 11 months ago (2013-01-13 04:55:12 UTC) #1
adg
I think this CL covers this issue more broadly: https://codereview.appspot.com/7100049/
9 years, 10 months ago (2013-01-14 00:32:27 UTC) #2
vegacom
*** Abandoned ***
9 years, 10 months ago (2013-01-14 09:38:01 UTC) #3
vegacom
9 years, 10 months ago (2013-01-14 09:38:41 UTC) #4
Message was sent while issue was closed.
On 2013/01/14 00:32:27, adg wrote:
> I think this CL covers this issue more broadly:
> https://codereview.appspot.com/7100049/

Right, I'm dropping this CL.
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld f62528b